package com.io.yutian.colorblindwar.listener;

import com.io.yutian.colorblindwar.ColorblindWar;
import com.io.yutian.colorblindwar.game.Game;
import org.bukkit.GameMode;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerJoinEvent;
import org.bukkit.scheduler.BukkitRunnable;

public class JoinEvent implements Listener {

    @EventHandler
    public void onJoin(PlayerJoinEvent e){
        Player p = e.getPlayer();
        p.setGameMode(GameMode.ADVENTURE);
        new BukkitRunnable() {
            @Override
            public void run() {
                Game game = ColorblindWar.getGame();
                game.start(p);
            }
        }.runTaskLater(ColorblindWar.inst(),15L);
    }
}
